/* importar font */
@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,400;0,700;1,400;1,700&display=swap');
/* general */
*{
    margin: 0;
    padding: 0;
    font-family: 'Raleway', sans-serif;
}
body{
    margin: 0px auto;
    max-width: 1200px;

}
/* titulo */
h1{
    background-color: lightgray;
    font-size: 1.4rem;
    padding: 0.5rem 1rem;
}
/* menu */
nav{
    background-color: gray;
    padding: 0.6rem 0rem;
}
nav ul li{
    list-style-type: none;
    display: inline;
    padding: 1ex 2ex;
    
}
nav ul li a{
    text-decoration: none;
    color: white;
}
nav ul li:hover{
    background-color: black;
}
/* main */
main{
    margin: 2%;
}
/* texto curriculum vitae */
main h2{   
    font-weight: 400;
}
main h2 span{
    display: inline-block;
    width: 10px;
    height: 10px;
    border: 4px solid green;
    border-radius: 25px;
    margin: auto 10px;
}
/* Sections general*/
main h2, main section div span.experience-company, main section div span.education-school{
    font-variant: small-caps; 
}
main section.info img{
    float: right;
}
main section, main section.info img{
    border: 1px dashed gray;
}
main section{
    border-bottom-color: green;
    border-left: 3px solid green;
    padding: 10px;
    margin: 20px 0px;
}
main section.experience div, main section.education div{
    padding: 10px 0px;
    margin: 0px 10px;
}
main section.info span, main section div span.experience-position, main section div span.education-label{
    color: green;
}
/* Section info */
main section.info{
    height: 11rem;
    margin: auto 0;
}
main section.info img{
    padding: 4px;
    border-radius: 15px 50px;
}
main section.info h3{
    margin: 1rem 0;
}
main section.info ul{
    margin: 1rem 3rem;
    list-style-type:circle;
}
main section.info ul li{
    color: black;
}
main section.info ul li span, main section div span.experience-city, main section div span.education-city{
    font-style: italic;
}
/* Sections experiencia y formacion */
main section div span{
    display: inline-block
}
main section div span.experience-date, main section div span.education-date{
    font-weight: bold;
    width: 10%;
}
main section div span.education-label, main section div span.experience-position{
    width: 40%;
}
main section div span.experience-company, main section div span.education-school{
    width: 30%;
}
main section div span.experience-city, main section div span.education-city{
    width: auto;
}
main section div.experience{
    border-bottom: 1px dashed green;
}
main section div.education{
    border-bottom: 1px dashed green;
}
main section div~div.education, main section div~div~div.experience{
    border: none;
}
/* Section Competencias tecnologicas */
section.competence h3{
    margin-bottom: 1rem;
}
div.competence span{
    margin-left: 4rem;
    text-align: right;
}
div.competence span, div.competence-level{
    display: inline-block;
    width: 15%;
}
/* Barra progreso */
progress::-moz-progress-bar {background-color: green;}
div.competence-level progress[value]{
    appearance: none;
    background-color: rgba(211, 211, 211, 0.486);
}
